Bug 1122828 - Both locations and organizations shown in search autocomplete
Summary: Both locations and organizations shown in search autocomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:45 UTC by Dominic Cleal
Modified: 2017-02-23 21:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:31 UTC


Attachments (Terms of Use)
organization name listing (59.73 KB, image/png)
2014-10-17 08:42 UTC, Tazim Kolhar
no flags Details
org_search_sat6.1.0 (9.96 KB, image/png)
2015-07-17 16:30 UTC, Peter Vreman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6763 None None None 2016-04-22 15:00:28 UTC

Description Dominic Cleal 2014-07-24 07:45:32 UTC
Description of problem:
The search autocompletion on the organisation and location list pages shows both orgs & locs no matter which page you're on.

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:
1. View the organisations page
2. Type "name = " into search

Actual results:
Lists both locations and organisations

Expected results:
Only organisations

Additional info:
Vice-versa on locations page.

Comment 1 Dominic Cleal 2014-07-24 07:46:01 UTC
Created redmine issue http://projects.theforeman.org/issues/6763 from this bug

Comment 4 Bryan Kearney 2014-09-04 14:03:27 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6763 has been closed
-------------
Anonymous
Applied in changeset commit:26ee3b1e4f526a3c3975a3640e868dda205b5850.

Comment 5 Tazim Kolhar 2014-10-17 08:41:15 UTC
VERIFIED

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

# rpm -qa | grep foreman
foreman-release-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-gce-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-postgresql-1.7.0-0.develop.201410150839gitb948163.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-vmware-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch

Only organization name is listed 
screen shot attached

Comment 6 Tazim Kolhar 2014-10-17 08:42:17 UTC
Created attachment 947834 [details]
organization name listing

Comment 7 Peter Vreman 2015-07-17 16:29:50 UTC
For me this still fails with 6.1.0
See the screen shot that list locations "Default Location" and "HAG" in the search for organization

Comment 8 Peter Vreman 2015-07-17 16:30:16 UTC
Created attachment 1053177 [details]
org_search_sat6.1.0

Comment 9 Bryan Kearney 2015-08-11 13:19:40 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:11:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.